Users

You can use the Faundit API v2 to edit users.

In Faundit, a User relates to the person using the platform. Users can have different roles, ideally to manage and support a specific workflow for the organisation.

Available user role types

Faundit currently supports the following user roles:

Title
Description
User Role Code

Group Admin

Full access to the associated Locations. Can add, edit, and delete Users, Items, and Requests.

group_admin

Property Admin

Full access to the associated Locations. Can add, edit, and delete Users (except Group Admins), Items, and Requests.

property_admin

Sub-User

Access to creating, updating and deleting items on the account(s). No access to editing any settings.

property_subuser

Limited Sub-User

Access to registering Items.

limited_subuser

Overview Sub-User

Overview access only.

overview_subuser

Return all Users

GET https://{environment}.faundit.com/api/v2/users

Query Parameters

Name
Type
Description

limit

number

Specify the number of results per page. The default value is set to 500.

page

number

The default page number is 1.

[
    {
        "ID": 113,
        "username": "jose_faundit",
         "locationAccess": {
            "locationIDs": [
                "14dbb67jc32e9f37b9136852bc36a389:ebcbd6a13"
            ],
            "regionIDs": [],
            "countryIDs": [
                "DK"
            ],
            "accessAllLocations": false
        },
        "email": null,
        "email_validated": true,
        "userRole": "group_admin",
        "createdAt": "2020-09-02 07:33:16.844",
        "updatedAt": "2023-12-20 08:37:09.231",
        "lastLoginAt": "2024-01-24 11:22:40.371"
    },
    {
        "ID": 114,
        "username": "jonas_faundit",
         "locationAccess": {
            "locationIDs": [
                "14dbb67jc32e9f37b9136852bc36a389:ebcbd6a13"
            ],
            "regionIDs": [],
            "countryIDs": [],
            "accessAllLocations": false
        },
        "email": null,
        "email_validated": true,
        "userRole": "property_subuser",
        "createdAt": "2020-09-02 07:33:16.844",
        "updatedAt": "2023-12-20 08:37:09.231",
        "lastLoginAt": "2024-01-24 11:22:40.371"
    }
]

Get User Roles

GET https://{environment}.faundit.com/api/v2/users/roles

Get all the available user roles.

The ID would determine the User Role when creating or updating a User.

Response

Return a single User

GET https://{environment}.faundit.com/api/v2/users/:userID

Path Parameters

Name
Type
Description

userID*

number

User unique identifier.

Create a new User

POST https://{environment}.faundit.com/api/v2/users

Request Body

Name
Type
Description

username*

string

Username for login.

Example: "hk_jose"

password*

string

Password for login.

locationID*

string

The ID of the Location to which the User will have access.

email

string

Account e-mail address. Used for email notifications and SSO login (Currently just Google accounts supported for SSO).

Example: "tech@faundit.com"

userRole*

string

The user role type of the user. You can find the values at the top of this page.

Example: "overview_subuser"

Update a User

PUT https://{environment}.faundit.com/api/v2/users/:userID

This endpoint allows you to update details for a User.

Path Parameters

Name
Type
Description

userID*

number

User unique identifier.

Example: 1317

Request Body

Name
Type
Description

email

string

Account e-mail address. Used for email notifications and SSO login (Currently just Google accounts supported for SSO).

Example: "tech@faundit.com"

password

string

Password for login.

username

string

Username for login.

Example: "hk_jose"

userRole

string

The user role type of the user. You can find the values at the top of this page.

Example: "overview_subuser"

Delete a single User

DELETE https://{environment}.faundit.com/api/v2/users/:userID

Path Parameters

Name
Type
Description

userID*

number

User unique identifier.

Example: 1317

Get all Locations that a User is associated to

GET https://{environment}.faundit.com/api/v2/users/:userID/locations

Path Parameters

Name
Type
Description

userID*

number

User unique identifier.

Example: 1317

Add a User to Locations, Regions and Countries

POST https://{environment}.faundit.com/api/v2/users/:userID/locations

If you only manage one location (eg, a single hotel) this is not relevant.

If you control multiple Locations in Faundit, you can assign Users to access multiple Locations.

This might be useful for managers who need access to multiple Locations, a Region, or a full Country. A region is a custom-made list of Locations, (a sub-group). See Regions.

Assigning a User to a Country will also give them access to future Locations created in this Country.

A User can have access to multiple Locations, Regions and Countries.

Setting accessAllLocations to true grants a User access to all Locations in the group of your integration no matter which Locations, Regions and Countries have previously been assigned.

Query Parameters

Name
Type
Description

userID*

number

User unique identifier.

Example: 1317

Request Body

Name
Type
Description

locationIDs

array of strings

Access to these Location unique identifiers will be added to User.

addAccessAllLocations

boolean

Add access to all your Locations.

countryIDs

array of strings

Access to these Country unique identifiers will be added to User.

regionIDs

array of numbers

Access to these Region unique identifiers will be added to User.

Remove a User from Locations, Regions and Countries

DELETE https://{environment}.faundit.com/api/v2/users/:userID/locations

It only removes the User's access to a specific Location, not the user itself.

Setting accessAllLocations to false will remove a User's access to all Locations and revert to whichever Locations, Regions and Countries previously assigned.

A user has to be assigned to at least one Location.

Path Parameters

Name
Type
Description

userID*

number

User unique identifier.

Example: 1317

Request Body

Name
Type
Description

locationIDs

array of strings

Access to these Location unique identifiers will be removed from User.

countryIDs

array of strings

Access to these Country unique identifiers will be removed from User.

removeAccessAllLocations

boolean

Remove access to all your Locations.

regionIDs

array of number

Access to these Region unique identifiers will be removed from User.

Last updated